// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#fff');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'AwesomeBLOG - Blogs',
    fullscreen:true,
    //backgroundColor:'#fff'
});

var label1 = Titanium.UI.createLabel({
	color:'#999',
	//text:'I am Window 1',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto'
});

win1.add(label1);

win1.open();


var xhr3 = Titanium.Network.createHTTPClient();
xhr3.onload = function()
{
	Ti.API.info('in utf-8 onload for GET with QS');
	//label1.text = this.responseText;
	var blogs = JSON.parse(this.responseText);
	var rows = [];
	for(var i = 0; i < blogs.length; i++ ){
		rows.push({title:blogs[i].properties.title, blogId: blogs[i].key.value, hasDetail:true });
	}
	var list = Titanium.UI.createTableView({data:rows});
	win1.add(list);
	
	list.addEventListener('click', function(e)
			{
				Titanium.API.log("debug", "event fired");
				if (e.rowData.blogId)
				{
					Titanium.API.log("debug", "get if'd!");
					var win = Titanium.UI.createWindow({
						url:"blog.js",
						title:e.rowData.title + " - Awesome Blog",
						blogTitle:e.rowData.title,
						fullscreen:true,
						id: e.rowData.blogId
						
					});
					
					win.open(win,{animated:true});
				}
			});
};
xhr3.onerror = function(e)
{
	Ti.API.info('in utf-8 error for GET with QS:' + e.error);
};
xhr3.open("GET","http://moraxus-api.appspot.com/content/blog");
xhr3.send({type:"blog"});